## golang-github-blynn-nex 0.0.0%2Bgit.2021.03.30.1a3320dab9

=== debian/changelog ===
golang-github-blynn-nex (0.0.0+git.2021.03.30.1a3320dab9-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:14:16 +0100

golang-github-blynn-nex (0.0.0+git.2021.03.30.1a3320dab9-3) unstable; urgency=medium

  * Rename /usr/bin/nex as nex-lexer to avoid conflict with nvi
    (Closes: #1022957).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Nov 2022 09:07:23 +0100

golang-github-blynn-nex (0.0.0+git.2021.03.30.1a3320dab9-2) unstable; urgency=medium

  * Re-upload source-only.
  * Set the team as maintainer.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Nov 2022 13:33:32 +0100

golang-github-blynn-nex (0.0.0+git.2021.03.30.1a3320dab9-1) unstable; urgency=medium

  * Initial release. (Closes: #1022872)

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Sep 2022 13:19:14 +0200

## golang-github-blynn-nex 0.0.0+git.2021.03.30.1a3320dab9

=== Makefile ===
export GOPATH     := $(abspath ../..)
export NEX        := $(abspath ../../bin/nex)

all: $(NEX) test

$(NEX): main.go nex.go
	go fmt nex
	go install nex

test: $(NEX) $(shell find test -type f)
	go fmt nex nex/test
	go test nex nex/test

clean:
	rm -f $(NEX)

.PHONY: all test clean

=== debian/control ===
Source: golang-github-blynn-nex
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/golang-github-blynn-nex
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/golang-github-blynn-nex.git
Homepage: https://github.com/blynn/nex
XS-Go-Import-Path: github.com/blynn/nex

Package: nex
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 graphviz,
Description: lexer similar to Lex/Flex - cli
 Nex is a lexer similar to Lex/Flex that:
  * generates Go code instead of C code
  * integrates with Go's yacc instead of YACC/Bison
  * supports UTF-8
  * supports nested _structural regular expressions_.

Package: golang-github-blynn-nex-dev
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 graphviz,
Description: lexer similar to Lex/Flex - library
 Nex is a lexer similar to Lex/Flex that:
  * generates Go code instead of C code
  * integrates with Go's yacc instead of YACC/Bison
  * supports UTF-8
  * supports nested _structural regular expressions_.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := nex
export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_EXCLUDES := nex/tacky

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	@echo "Tests are disabled for now"
